post
https://api.aerocrs.com/v5/updateClass
Update class or classes quantity
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
ImportantThis API call will NOT work for multileg flights
Operational informationThe quantity parameter sets the new number of free seats.
For instance, if you have 4 booked passengers, and you want to set the new class quantity to be 10 (=6 free seats) - you need to send 6.
Request Parameters
| Parameter | Type | Description |
|---|---|---|
| Flights | Element* | Array of flights |
| Flight | Element* | Contains flight information |
| flightnumber | String* | Flight Number |
| flightdate | Date* | Date of flight YYYY/mm/dd |
| fromcode | String* | Flight departure destination |
| tocode | String* | Flight arrival destination |
| class | Element* | Array of classes |
| code | String* | Class code |
| type | String* | Open or closed (O/C only) |
| qty | Number | Quantity of seats. This field is mandatory when type is O |
| closed | Boolean | Parameter to close the class (nesting feature) |
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| Success | Boolean | true/false |
| Details | String | Additional information in case of failure. (Only when success = false) |

